=== debian/changelog ===
vnlog (1.12-1) unstable; urgency=medium

  * New upstream release: fixed parallel testing
    - Bug fix: "FTBFS: test failures", thanks to
      Niko Tyni (Closes: #901540).

 -- Dima Kogan <dkogan@debian.org>  Sun, 17 Jun 2018 21:01:40 -0700

vnlog (1.11-1) unstable; urgency=medium

  * New upstream release:
    - N-way vnl-join: fixed deadlock with large files

 -- Dima Kogan <dkogan@debian.org>  Fri, 15 Jun 2018 19:35:22 -0700

vnlog (1.10-1) unstable; urgency=medium

  * New upstream release; vnl-join updates:
    - N-way vnl-join now invoke the sub-joins in parallel
    - Updated tab completion with new vnl-join arguments
    - 'make clean' leaves the README.org alone

 -- Dima Kogan <dkogan@debian.org>  Fri, 15 Jun 2018 15:03:22 -0700

vnlog (1.9-1) unstable; urgency=medium

  * New upstream release; vnl-join updates:
    - N-way joins are supported rather than just 2-way
    - -a- available as a shorthand for -a1 -a2 -a3 -a4 ...
    - -v- available as a shorthand for -v1 -v2 -v3 -v4 ...
    - --vnl-autoprefix/--vnl-autosuffix available to infer
      the prefix/suffix from the filenames

 -- Dima Kogan <dkogan@debian.org>  Tue, 12 Jun 2018 23:22:10 -0700

vnlog (1.7-1) unstable; urgency=medium

  * New upstream release:
    - vnl-filter: added exclusion columns: vnl-filter -p !xxx
    - vnl-filter handles duplicate columns robustly
    - 'vnl-filter -p x*' no longer matches all the columns
    - README.org now contains all the manpages

 -- Dima Kogan <dkogan@debian.org>  Thu, 26 Apr 2018 20:34:21 -0700

vnlog (1.6-1) unstable; urgency=medium

  * New upstream release. C library works on armhf, armel

 -- Dima Kogan <dkogan@debian.org>  Sun, 01 Apr 2018 22:14:38 -0700

vnlog (1.5-1) unstable; urgency=medium

  * Initial release (Closes: #891595)

 -- Dima Kogan <dkogan@debian.org>  Sat, 31 Mar 2018 15:06:12 -0700
