## vnlog 1.16

=== Makefile ===
--- 
+++ 
@@ -9,15 +9,23 @@
 TOOLS :=					\
   vnl-filter					\
   vnl-gen-header				\
-  vnl-tail					\
   vnl-make-matrix				\
   vnl-align					\
+  vnl-sort					\
   vnl-join					\
-  vnl-sort
+  vnl-tail					\
+  vnl-ts
 
 
 # I construct the README.org from the template. The only thing I do is to insert
-# the manpages
+# the manpages. Note that this is more complicated than it looks:
+#
+# 1. The tools are written in perl and contain POD documentation
+# 2. This documentation is stripped out here with pod2text, and included in the
+#    README. This README is an org-mode file, and the README.template.org
+#    container included the manpage text inside a #+BEGIN_EXAMPLE/#+END_EXAMPLE.
+#    So the manpages are treated as a verbatim, unformatted text blob
+# 3. Further down, the same POD is converted to a manpage via pod2man
 define MAKE_README =
 BEGIN									\
 {									\
@@ -33,7 +41,7 @@
 }
 endef
 
-README.org: README.template.org vnl-filter vnl-align vnl-sort vnl-join vnl-tail
+README.org: README.template.org vnl-filter vnl-align vnl-sort vnl-join vnl-tail vnl-ts
 	< $(filter README%,$^) perl -e '$(MAKE_README)' $(filter-out README%,$^) > $@
 all: README.org
 
@@ -331,12 +339,3 @@
 endif
 	find $(DESTDIR) -name '*.so' | xargs chrpath -d
 
-        # Any perl programs need their binary path stuff stripped out. This
-        # exists to let these run in-tree, but needs to be removed at
-        # install-time (similar to an RPATH)
-ifneq ($(strip $(DIST_BIN)),)
-	for fil in `find $(DESTDIR)$(PREFIX)/bin -type f`; do head -n1 $$fil | grep -q '^#!.*/perl$$' && perl -n -i -e 'print unless /^\s* use \s+ lib \b/x' $$fil; done
-endif
-	find $(DESTDIR)$(PREFIX)/share/perl5 -type f | xargs perl -n -i -e 'print unless /^\s* use \s+ lib \b/x'
-
-ifneq ($(strip $(DIST_BIN)),)
