=== debian/changelog ===
vnlog (1.16-1) unstable; urgency=medium

  * New upstream release:
    - 'vnl-join --vnl-sort' runs a STABLE pre-sort

 -- Dima Kogan <dkogan@debian.org>  Mon, 21 Jan 2019 17:31:44 -0800

vnlog (1.15-1) unstable; urgency=medium

  * New upstream release:
    - Vnlog::Parser perl library handles whitespace properly
    - "vnl-filter --stream" is now a synonym for
      "vnl-filter --unbuffered"
    - added new tool: vnl-ts

 -- Dima Kogan <dkogan@debian.org>  Sun, 06 Jan 2019 21:29:58 -0800

vnlog (1.13-1) unstable; urgency=medium

  * New upstream release:
    - vnl-join doesn't get confused by trailing whitespace
    - vnl-filter new special-operations: sum(), prev()

 -- Dima Kogan <dkogan@debian.org>  Sun, 02 Dec 2018 13:52:06 -0800
