=== debian/control ===
--- 
+++ 
@@ -49,7 +49,8 @@
  libvnlog-perl (= ${binary:Version}), ${perl:Depends},
  mawk,
  libtext-table-perl,
- liblist-moreutils-perl
+ liblist-moreutils-perl,
+ moreutils
 Description: Toolkit to read/write/manipulate whitespace-separated ASCII logs
  Vnlog (pronounced "vanillog") is a trivially-simple log format consisting of an
  ASCII table with comments and labelled fields. This package provides tools to
@@ -58,14 +59,15 @@
  vnl-filter selects a subset of the rows/columns in a vnlog and/or to
  manipulates the contents. This is effectively an awk wrapper.
  .
- vnl-sort, vnl-join and vnl-tail are wrappers around the corresponding GNU
- Coreutils tools
+ vnl-sort, vnl-join, vnl-tail and vnl-ts are wrappers around the corresponding
+ commandline tools
  .
  vnl-align aligns vnlog columns for easy interpretation by humans
  .
  vnl-make-matrix converts a one-point-per-line vnlog to a matrix of data
 
 Package: libvnlog-perl
+Section: perl
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
 Description: Toolkit to read/write/manipulate whitespace-separated ASCII logs
@@ -74,6 +76,7 @@
  Perl library to parse such logs.
 
 Package: python-vnlog
+Section: python
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-numpy
 Provides: ${python:Provides}
@@ -83,6 +86,7 @@
  Python2 library to parse such logs.
 
 Package: python3-vnlog
+Section: python
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy
 Provides: ${python3:Provides}
