## vnlog 1.19

=== debian/changelog ===
vnlog (1.19-1) unstable; urgency=medium

  * New upstream release:
    - vnl-filter -p 'prev(x)' now outputs '-' for the first line
    - Looser handling of whitespace in vnl-filter, vnl-join, parsers, etc

 -- Dima Kogan <dkogan@debian.org>  Mon, 08 Jul 2019 23:29:55 -0700

vnlog (1.17-1) unstable; urgency=medium

  * New upstream release:
    - vnl-join --autoprefix handles numerical filenames better
    - vnl-filter supports grep-style -A/-B/-C options

 -- Dima Kogan <dkogan@debian.org>  Fri, 29 Mar 2019 18:31:35 -0700
