## vnlog 1.26

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,8 @@
   vnl-sort					\
   vnl-join					\
   vnl-tail					\
-  vnl-ts
+  vnl-ts					\
+  vnl-uniq
 
 
 # I construct the README.org from the template. The only thing I do is to insert
@@ -41,7 +42,7 @@
 }
 endef
 
-README.org: README.template.org vnl-filter vnl-align vnl-sort vnl-join vnl-tail vnl-ts
+README.org: README.template.org vnl-filter vnl-align vnl-sort vnl-join vnl-tail vnl-ts vnl-uniq
 	< $(filter README%,$^) perl -e '$(MAKE_README)' $(filter-out README%,$^) > $@
 all: README.org
 
@@ -89,7 +90,7 @@
 EXTRA_CLEAN += test/testdata_*
 
 
-DIST_INCLUDE      := vnlog.h
+DIST_INCLUDE      := vnlog*.h
 DIST_BIN          := $(TOOLS)
 DIST_PERL_MODULES := lib/Vnlog
 DIST_PY2_MODULES  := lib/vnlog.py
