=== debian/changelog ===
vnlog (1.26-1) unstable; urgency=medium

  * New upstream release
    - vnl-filter --stream --eval is allowed again: it's once again
      possible to produce unbuffered output with awk

 -- Dima Kogan <dkogan@debian.org>  Mon, 03 Feb 2020 22:18:21 -0800

vnlog (1.25-1) unstable; urgency=medium

  * New upstream release
    - vnl-filter: rel()/diff()/prev() work next to newlines
  * Added Suggests:datamash

 -- Dima Kogan <dkogan@debian.org>  Wed, 29 Jan 2020 15:56:52 -0800

vnlog (1.24-2) unstable; urgency=medium

  * Merged with Ondřej Nový's 1.21-2 release

 -- Dima Kogan <dkogan@debian.org>  Sat, 21 Dec 2019 13:42:36 -0800

vnlog (1.24-1) unstable; urgency=medium

  * New upstream release
    - vnl-join handles empty vnlog files properly
    - vnl-filter diff() returns - for the first record
    - added vnl-uniq

 -- Dima Kogan <dkogan@debian.org>  Sat, 21 Dec 2019 12:35:04 -0800

vnlog (1.21-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support (Closes: #938796).
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Mon, 28 Oct 2019 13:08:35 +0100

vnlog (1.21-1) unstable; urgency=medium

  * vnlog Suggests: feedgnuplot, ministat
  * New upstream release
    - --has can take regular expressions
    - Columns with = in the name are now supported
    - Exported the base64 interface. It's now usable standalone

 -- Dima Kogan <dkogan@debian.org>  Sun, 25 Aug 2019 16:16:24 -0700
