=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: vnlog
 Priority: optional
 Section: devel
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
  dh-python,
  python3:any,
- python-all,
  libipc-run-perl,
  libtext-diff-perl,
  libstring-shellquote-perl,
  liblist-moreutils-perl,
- python-numpy,
  python3-numpy,
  perl,
  mawk,
@@ -20,6 +18,7 @@
 Homepage: https://github.com/dkogan/vnlog/
 Vcs-Git: https://salsa.debian.org/science-team/vnlog.git
 Vcs-Browser: https://salsa.debian.org/science-team/vnlog
+Testsuite: autopkgtest-pkg-python
 
 Package: libvnlog0
 Section: libs
@@ -51,6 +50,7 @@
  libtext-table-perl,
  liblist-moreutils-perl,
  moreutils
+Suggests: feedgnuplot, ministat, datamash
 Description: Toolkit to read/write/manipulate whitespace-separated ASCII logs
  Vnlog (pronounced "vanillog") is a trivially-simple log format consisting of an
  ASCII table with comments and labelled fields. This package provides tools to
@@ -59,8 +59,8 @@
  vnl-filter selects a subset of the rows/columns in a vnlog and/or to
  manipulates the contents. This is effectively an awk wrapper.
  .
- vnl-sort, vnl-join, vnl-tail and vnl-ts are wrappers around the corresponding
- commandline tools
+ vnl-sort, vnl-uniq, vnl-join, vnl-tail and vnl-ts are wrappers around the
+ corresponding commandline tools
  .
  vnl-align aligns vnlog columns for easy interpretation by humans
  .
@@ -75,16 +75,6 @@
  ASCII table with comments and labelled fields. This package provides a simple
  Perl library to parse such logs.
 
-Package: python-vnlog
-Section: python
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy
-Provides: ${python:Provides}
-Description: Toolkit to read/write/manipulate whitespace-separated ASCII logs
- Vnlog (pronounced "vanillog") is a trivially-simple log format consisting of an
- ASCII table with comments and labelled fields. This package provides a simple
- Python2 library to parse such logs.
-
 Package: python3-vnlog
 Section: python
 Architecture: all
