## vnlog 1.30

=== debian/changelog ===
vnlog (1.30-1) unstable; urgency=medium

  * New upstream release
    - vnl-align: empty lines are treated like comments, and are preserved
    - vnl-filter bug fix: --perl puts () around each "match" expression
  
 -- Dima Kogan <dkogan@debian.org>  Mon, 03 Aug 2020 02:15:55 -0700

vnlog (1.28-1) unstable; urgency=medium

  * New upstream release
    - vnl-filter produces - for any expression that evaluates to an empty
      string
    - vnlog_set_output_FILE() can take ctx==NULL for the global context
    - cmdline tools have --vnl-tool to specify the underlying tool

 -- Dima Kogan <dkogan@debian.org>  Wed, 03 Jun 2020 20:16:44 -0700
