## vnlog 1.31

=== debian/changelog ===
vnlog (1.31-1) unstable; urgency=medium

  * New upstream release
    - vnl-filter: correct behavior with field names containing small
      integers

 -- Dima Kogan <dkogan@debian.org>  Wed, 09 Dec 2020 12:19:53 -0800
