## vnlog 1.32

=== debian/changelog ===
vnlog (1.32-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1002877)

 -- Paul Gevers <elbrus@debian.org>  Thu, 30 Dec 2021 19:52:30 +0100

vnlog (1.32-1) unstable; urgency=medium

  * New upstream release
    - Python parser can handle trailing comments
    - Bug fix: symlinked binaries work (Thanks to Jim Radford for the
      report)
    - Python vnlog.slurp() always returns 2D arrays
    - added latestdefined() to vnl-filter

 -- Dima Kogan <dkogan@debian.org>  Fri, 29 Oct 2021 14:12:09 -0700
