## vnlog 1.33

=== debian/changelog ===
vnlog (1.33-1) unstable; urgency=medium

  * New upstream release
    - vnl-filter: added --begin, --end, --sub-abs, -l

 -- Dima Kogan <dkogan@debian.org>  Tue, 28 Jun 2022 14:45:03 -0700
