## vnlog 1.34

=== debian/changelog ===
vnlog (1.34-2) unstable; urgency=medium

  * Cross-building works

 -- Dima Kogan <dkogan@debian.org>  Sat, 14 Jan 2023 14:08:36 -0800

vnlog (1.34-1) unstable; urgency=medium

  * New upstream release
  * vnlog is Multi-Arch: foreign

 -- Dima Kogan <dkogan@debian.org>  Fri, 13 Jan 2023 11:02:49 -0800

vnlog (1.33-2) unstable; urgency=medium

  * libvnlog-perl is Multi-Arch: foreign
  * Cross-building works:
    - Added <!nocheck> profile tags where appropriate
    - Compiler is chosen based on the Debian env vars

 -- Dima Kogan <dkogan@debian.org>  Thu, 12 Jan 2023 13:15:43 -0800
