## vnlog 1.36

=== debian/changelog ===
vnlog (1.36-5build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:26:06 +1100

vnlog (1.36-5) unstable; urgency=medium

  * Reverted 64-bit time_t transition. This package is already y2k38
    compliant. See: #1063051

 -- Dima Kogan <dkogan@debian.org>  Wed, 28 Feb 2024 22:33:29 -0800

vnlog (1.36-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063051

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 23:19:22 +0000

vnlog (1.36-4) unstable; urgency=medium

  * More thorough "clean" (Closes: #1047392)

 -- Dima Kogan <dkogan@debian.org>  Mon, 08 Jan 2024 21:22:52 -0800

vnlog (1.36-3) unstable; urgency=medium

  * I only have a single Python parser test now: for python3 (Closes:
    #1042583)

 -- Dima Kogan <dkogan@debian.org>  Sun, 30 Jul 2023 22:36:41 -0700

vnlog (1.36-2) unstable; urgency=medium

  * Source-only re-upload to fix bug (Closes: #1041659)

 -- Dima Kogan <dkogan@debian.org>  Sat, 29 Jul 2023 21:59:59 -0700

vnlog (1.36-1) unstable; urgency=medium

  * New upstream release

    - C API: I don't fflush() with each record

      The standard C library will already do this for line-buffered output
      (for humans) and will NOT do this when writing to files (for
      efficiency). And there's a standard way to force one or the other
      behavior (stdbuf).

 -- Dima Kogan <dkogan@debian.org>  Tue, 25 Jul 2023 23:37:25 -0700

vnlog (1.35-1) unstable; urgency=medium

  * New upstream release
    - Using packaged mrbuild
    - Added vnlog parser in C

 -- Dima Kogan <dkogan@debian.org>  Mon, 19 Jun 2023 12:52:44 -0700
