=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Priority: optional
 Section: devel
 Build-Depends: debhelper-compat (= 11),
+ mrbuild,
  dh-python,
  python3:any,
  libipc-run-perl        <!nocheck>,
@@ -11,7 +12,8 @@
  perl:native            <!nocheck>,
  mawk                   <!nocheck>,
  chrpath
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.1.3
 Homepage: https://github.com/dkogan/vnlog/
@@ -33,8 +35,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libvnlog0 (= ${binary:Version}), ${perl:Depends},
- libstring-shellquote-perl
+Depends: ${misc:Depends}, libvnlog0 (= ${binary:Version}), ${perl:Depends}
 Description: Toolkit to read/write/manipulate whitespace-separated ASCII logs
  Vnlog is a trivially-simple log format consisting of an ASCII table with
  comments and labelled fields. This package provides a C library that simplifies
