## vnlog 1.38

=== debian/changelog ===
vnlog (1.38-1) unstable; urgency=medium

  * New upstream release

    - Python vnlog.slurp() can accept a structured dtype, so it can now
    read non-numerical data

 -- Dima Kogan <dkogan@debian.org>  Tue, 02 Jul 2024 10:19:52 -0700

vnlog (1.37-1) unstable; urgency=medium

  * New upstream release

    - Fixed vnl-filter --perl --stream --eval

 -- Dima Kogan <dkogan@debian.org>  Mon, 27 May 2024 10:27:30 -0700
