=== debian/control ===
--- 
+++ 
@@ -12,8 +12,7 @@
  perl:native            <!nocheck>,
  mawk                   <!nocheck>,
  chrpath
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>
 Standards-Version: 4.1.3
 Homepage: https://github.com/dkogan/vnlog/
