## vnlog 1.40

=== debian/changelog ===
vnlog (1.40-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Fri, 14 Feb 2025 19:50:28 -0800

vnlog (1.39-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Wed, 29 Jan 2025 09:43:02 -0800

vnlog (1.38-2) unstable; urgency=medium

  * Added Build-Depends: python3-setuptools (Closes: #1080834)

 -- Dima Kogan <dkogan@debian.org>  Thu, 05 Sep 2024 19:16:12 -0700
