=== debian/control ===
--- 
+++ 
@@ -4,6 +4,9 @@
 Build-Depends: debhelper-compat (= 11),
  mrbuild,
  dh-python,
+# for "make install" to work. See
+#   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1080834
+ python3-setuptools,
  python3:any,
  libipc-run-perl        <!nocheck>,
  libtext-diff-perl      <!nocheck>,
