=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/vnlog-$1\.tar\.gz/ \
  https://github.com/dkogan/vnlog/tags .*/v?(\d\S+)\.tar\.gz
