## vnlog 1.41

=== debian/changelog ===
vnlog (1.41-1) unstable; urgency=medium

  * New upstream release
    - Added vnl-tac, vnl-paste

 -- Dima Kogan <dkogan@debian.org>  Thu, 01 Jan 2026 15:10:13 -0800
