## vnlog 1.42

=== debian/changelog ===
vnlog (1.42-1) unstable; urgency=medium

  * New upstream release
    - Tests pass if rust-coreutils is used (as it is on ubuntu/resolute)

 -- Dima Kogan <dkogan@debian.org>  Mon, 26 Jan 2026 11:14:30 -0800
